ASN1Primitive (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1

## Class ASN1Primitive

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive

- All Implemented Interfaces:
    ASN1Encodable, Encodable
  Direct Known Subclasses:
    ASN1Boolean, ASN1Enumerated, ASN1GeneralizedTime, ASN1Integer, ASN1Null, ASN1ObjectIdentifier, ASN1OctetString, ASN1Sequence, ASN1Set, ASN1TaggedObject, ASN1UTCTime, DERApplicationSpecific, DERBitString, DERBMPString, DERExternal, DERGeneralString, DERIA5String, DERNumericString, DERPrintableString, DERT61String, DERT61UTF8String, DERUniversalString, DERUTF8String, DERVisibleString

      public abstract class ASN1Primitive
      extends ASN1Object

  Base class for ASN.1 primitive objects. These are the actual objects used to generate byte encodings.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `static ASN1Primitive` | `fromByteArray(byte[] data)` Create a base ASN.1 object from a byte stream.
    `abstract int` | `hashCode()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### fromByteArray

          public static ASN1Primitive fromByteArray(byte[] data)
                                             throws java.io.IOException

      Create a base ASN.1 object from a byte stream.
      Parameters:
        `data` - the byte stream to parse.
      Returns:
        the base ASN.1 object represented by the byte stream.
      Throws:
        `java.io.IOException` - if there is a problem parsing the data.

    - #### equals

          public final boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `ASN1Object`

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### hashCode

          public abstract int hashCode()

      Overrides:
        `hashCode` in class `ASN1Object`